# azure.cognitiveservices.search.entitysearch package

## Submodules

- azure.cognitiveservices.search.entitysearch.models module
- azure.cognitiveservices.search.entitysearch.operations module

## Module contents

class `azure.cognitiveservices.search.entitysearch.``EntitySearchClient`(endpoint, credentials)

  Bases: `msrest.service_client.SDKClient`

  The Entity Search API lets you send a search query to Bing and get back search results that include entities and places. Place results include restaurants, hotel, or other local businesses. For places, the query can specify the name of the local business or it can ask for a list (for example, restaurants near me). Entity results include persons, places, or things. Place in this context is tourist attractions, states, countries, etc.

  Variables:

  - config (EntitySearchClientConfiguration) – Configuration for client.
  - entities (azure.cognitiveservices.search.entitysearch.operations.EntitiesOperations) – Entities operations

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.

class `azure.cognitiveservices.search.entitysearch.``EntitySearchClientConfiguration`(endpoint, credentials)

  Bases: `msrest.configuration.Configuration`

  Configuration for EntitySearchClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - endpoint (str) – Supported Cognitive Services endpoints (protocol and hostname, for example: “https://westus.api.cognitive.microsoft.com”, “https://api.cognitive.microsoft.com”).
  - credentials (None) – Subscription credentials which uniquely identify client subscription.